Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » [SOLVED] Eclipse failed to launch workspace
[SOLVED] Eclipse failed to launch workspace [message #1802540] Mon, 11 February 2019 17:00 Go to next message
Emilien Bourdy is currently offline Emilien BourdyFriend
Messages: 4
Registered: December 2017
Junior Member
Hi,
When I want to launch any workspace (even an empty one), Eclipse tells me that it can't launch it with an error in a log file. The error in my terminal is
org.eclipse.m2e.logback.configuration: Logback config file: /home/emilien/data/Scoopf/geo/.metadata/.plugins/org.eclipse.m2e.logback.configuration/logback.1.10.0.20181127-2120.xml
SLF4J: Class path contains multiple SLF4J bindings.
SLF4J: Found binding in [bundleresource://704.fwk825496893:1/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: Found binding in [bundleresource://704.fwk825496893:2/org/slf4j/impl/StaticLoggerBinder.class]
SLF4J: See http://www.slf4j.org/codes.html#multiple_bindings for an explanation.
SLF4J: Actual binding is of type [ch.qos.logback.classic.util.ContextSelectorStaticBinder]
org.eclipse.m2e.logback.configuration: Initializing logback

And the log file is attached.

I also tried to remove the plugins directories, but it's the same.

If anyone can help me it would be very nice!
Thanks in advance,
Emilien

[Updated on: Tue, 12 February 2019 13:50]

Report message to a moderator

Re: Eclipse failed to launch workspace [message #1802552 is a reply to message #1802540] Mon, 11 February 2019 19:27 Go to previous messageGo to next message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3404
Registered: July 2009
Senior Member

It looks like you'll need to run Eclipse with an earlier JDK (this does not affect coding for Java 11). Some of what you have installed is not compatible with running under JDK11.

Nitin Dahyabhai
Eclipse Web Tools Platform
Re: Eclipse failed to launch workspace [message #1802597 is a reply to message #1802552] Tue, 12 February 2019 13:50 Go to previous message
Emilien Bourdy is currently offline Emilien BourdyFriend
Messages: 4
Registered: December 2017
Junior Member
Re,

Thanks for reply it now run with the Java 10 (OpenJdk), I tried with the 11 both Oracle and OpenJdk but it didn't work.

Thanks a lot!
Previous Topic:completely new to java, not new to coding
Next Topic:Debugging - Eclipse PTP: cannot open file /usr/local/bin/routes_379c55d4-f04f-4c89-860f-6111983f3f35
Goto Forum:
  


Current Time: Sun May 19 14:46:07 GMT 2019

Powered by FUDForum. Page generated in 0.03157 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top